org.apache.ignite.internal.managers.communication

## Class TransmissionCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.managers.communication.TransmissionCancelledException

All Implemented Interfaces:
  Serializable

    public class TransmissionCancelledException
    extends IgniteException

Exception is used to cancel a file transmission operation on the receiver. This exception may be thrown at anytime during session handling by a `TransmissionHandler` to gracefully interrupt the transmission session on a node-sender.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransmissionCancelledException()` Default no-op consturctor.
`TransmissionCancelledException(String msg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransmissionCancelledException

    public TransmissionCancelledException()

Default no-op consturctor.

#### TransmissionCancelledException

    public TransmissionCancelledException(String msg)

Parameters:
  `msg` - Cancellation cause.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021